# IO_ModularProgram.cpp File Reference

`#include <osgParticle/ModularProgram>`
`#include <osgParticle/Operator>`
`#include <iostream>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_ModularProgram.cpp:

## Functions

bool | ModularProgram_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | ModularProgram_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | ModularProgram_Proxy (new osgParticle::ModularProgram,"ModularProgram","Object Node ParticleProcessor Program ModularProgram", ModularProgram_readLocalData, ModularProgram_writeLocalData)

## Function Documentation

bool ModularProgram_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool ModularProgram_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy ModularProgram_Proxy(new osgParticle::ModularProgram,"ModularProgram","Object Node ParticleProcessor Program ModularProgram", ModularProgram_readLocalData, ModularProgram_writeLocalData)